pfSense - Bug #7580
pftop impossible options in web gui
05/20/2017 03:58 PM - Jeremy C. Reed

Status: Resolved Start date: 05/20/2017

Priority: Normal Due date:

Assignee: Jim Pingle % Done: 100%

Category: Web Interface Estimated time: 0.00 hour

Target version: 24.0

Affected Version: All Affected All
Architecture:

Description

diag_pftop.php should not have sort options choices of Peak
and Rate since only useful

if have cached information as available

in interactive mode (see text console version)

to calculate the instantaneous speed and peak speed.

Associated revisions

Revision c07a2b86 - 05/22/2017 01:43 PM - Jim Pingle

Do not offer the 'peak’ and 'rate’ views for pftop since they only work in interactive mode with cached data, not batch mode like the GUI uses. Fixes
#7580

Revision e8140fa4 - 06/15/2017 09:42 AM - Jim Pingle

Remove pftop peak and rate from the sort options as they won't produce anything useful when run the way the GUI does. Fixes #7580

History

#1 - 05/22/2017 01:44 PM - Jim Pingle

- Category set to Web Interface

- Status changed from New to Assigned

- Assignee changed from Steve Beaver to Jim Pingle
- Target version set to 2.4.0

- Affected Version set to All

- Affected Architecture All added

- Affected Architecture deleted ()

#2 - 05/22/2017 01:50 PM - Jim Pingle
- Status changed from Assigned to Feedback

- % Done changed from 0 to 100

Applied in changeset c07a2b866b0d7b9b4fa8a2899e4a20562f9f2f24.

#3 - 06/15/2017 10:07 AM - Jim Pingle

- Status changed from Feedback to Resolved

Needed one more fix but now it's OK.
